This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 49769 - "Enter" or "Return"?
"Enter" or "Return"?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-23 15:35 EDT by Christian Rose
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-23 16:55:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2001-07-23 15:35:27 EDT
Some messages in anaconda use "press Enter", others "press Return" (and yet
some others use "press <Enter>".
I think it would be better to standardize on one of these.

The GNOME project has a style guide with a relevant section that could
help:
http://developer.gnome.org/documents/style-guide/gnome-glossary-generic-terms.html

Quote: "Sometimes the Return key and Enter key perform the same functions.
Refer to the Return key by default, and only refer to the Enter key when
the user must press Enter, or when the user is likely to use the numeric
keypad."
So if this recommendation is followed, it should be "Return" on almost all
places (where the user is not supposed to explicitly press the "Enter" on
the numeic keyboard, in which case it should be "Enter".)
Comment 1 Glen Foster 2001-07-23 16:55:15 EDT
I won't mark this SHOULD- or MUST-FIX, but several developers here believe
consistency for key names/lables would be a Good Thing(tm).
Comment 2 Brent Fox 2001-07-24 01:42:22 EDT
Fixed in cvs.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.